## rocket 1.3.0+parrot3

=== Makefile ===
.PHONY: help lint prepare build debian_package changelog debian_changelog compress clean

VERSION := $(shell poetry version -s)
SRC_DIR := src
DIST_DIR := dist
RESOURCES_DIR := $(SRC_DIR)/resources
UI_DIR := $(SRC_DIR)/views
MAIN := main.py
DATE=$(shell date +%Y-%m-%d)

help:
	@echo "Please use 'make <target>', where <target> is one of"
	@echo ""
	@echo "  lint                runs code linting with pylint and formats code with autopep8"
	@echo "  prepare             prompts for a new version number and updates the project version"
	@echo "  build               builds the Rocket application into a standalone executable using PyInstaller"
	@echo "  debian_package      packages the application for Debian distribution and builds the Debian package"
	@echo "  changelog           creates a changelog file from the latest git commits"
	@echo "  debian_changelog    generates a Debian changelog from recent git commits and updates the changelog file"
	@echo "  compress            creates a .zip file of the built Rocket application"
	@echo "  clean               removes build artifacts and temporary files"
	@echo ""
	@echo "Check the Makefile to know exactly what each target is doing."

lint:
	@echo "Running pylint..."
	@pylint --disable=fixme --disable=no-name-in-module --disable=E0401 $(RESOURCES_DIR)/* $(UI_DIR)/*
	@echo "Running autopep8..."
	@autopep8 --in-place --aggressive $(RESOURCES_DIR)/* $(UI_DIR)/*
	@echo "[!] All done"

prepare:
	@echo "Updating project version..."
	@read -p "Enter version number: " version; \
	poetry run python $(SRC_DIR)/version_manager.py --version $$version
	@echo "[!] Rocket project version updated"

changelog: debian_changelog
	@echo "Generating changelog..."
	@echo "# Changelog" > CHANGELOG.md
	@echo "" >> CHANGELOG.md
	@echo "All notable changes to this project will be documented in this file." >> CHANGELOG.md
	@echo "" >> CHANGELOG.md
	@echo "The format is based on [CHANGELOG.md](https://keepachangelog.com/en/1.1.0/) and this project adheres to [Semantic Versioning](https://semver.org/)." >> CHANGELOG.md
	@echo "_______________________________________________________________________________" >> CHANGELOG.md
	@echo "## [$(VERSION)] - $(DATE)" >> CHANGELOG.md
	@echo "" >> CHANGELOG.md
	@git log $(shell git describe --tags --abbrev=0)..HEAD --pretty=format:"- %s (%h)" >> CHANGELOG.md
	@echo "[!] Changelog generated"

build:
	@echo "Building Rocket..."
	@poetry run pyinstaller --windowed --onefile -y -n "rocket_$(VERSION)" --add-data "$(RESOURCES_DIR)/tool_config.json:./resources" --add-data "$(RESOURCES_DIR)/assets/*:./resources/assets" --icon=rocket.ico $(MAIN)
	@echo "[!] All done"

debian_package:
	@echo "Building Rocket for Debian..."
	@python3 convert_pyproject.py
	@cd .. && tar czf rocket_$(VERSION).orig.tar.gz rocket/ && cd rocket/
	# export PYTHON_KEYRING_BACKEND=keyring.backends.null.Keyring
	@dpkg-buildpackage -us -uc --source-option=--include-binaries
	@echo "[!] All done"

debian_changelog:
	@echo "Generating Debian changelog..."
	@new_version="rocket ($(VERSION)-1) unstable; urgency=medium"; \
	echo "$$new_version" > debian/tmpchangelog; \
	echo "" >> debian/tmpchangelog; \
	git log $(shell git describe --tags --abbrev=0)..HEAD --pretty=format:"  * %s (%h)" >> debian/tmpchangelog; \
	echo "" >> debian/tmpchangelog; \
	echo "" >> debian/tmpchangelog; \
	echo " -- Dario Camonita <danterolle@parrotsec.org>  $(shell date -R)" >> debian/tmpchangelog; \
	echo "" >> debian/tmpchangelog; \
	cat debian/changelog >> debian/tmpchangelog; \
	mv debian/tmpchangelog debian/changelog
	@echo "[!] Debian changelog generated"

compress:
	@echo "Creating .zip file... rocket_$(VERSION).zip"
	@zip -r "rocket_$(VERSION).zip" $(DIST_DIR)/rocket_$(VERSION)

clean:
	@echo "Removing build files..."
	@rm -rf build/ $(DIST_DIR)/ rocket_$(VERSION).spec .pybuild src/rocket.egg-info
	@echo "Removing Debian build temp files..."
	@rm -rf debian/rocket debian/source/include-binaries debian/.debhelper debian/debhelper-build-stamp debian/rocket.substvars debian/files debian/include-binaries
	@echo "[!] All done"

=== debian/changelog ===
rocket (1.3.0+parrot3) lory; urgency=medium

  * specify image registry in tool path
  * use podman by default
  * Require python3-dev build dep.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Mon, 30 Jun 2025 18:08:49 +0200

rocket (1.3.0+parrot2) lory-updates; urgency=medium

  * Add some missing build dependencies.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 26 Jun 2025 16:47:12 +0200

rocket (1.3.0+parrot1) lory; urgency=medium

  * Import package into Parrot repo.
  * Convert to native package.
  * Update launcher exec version.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 26 Jun 2025 16:18:54 +0200

rocket (1.3.0-1) unstable; urgency=medium

  * feat: make default_port optional in `docker run` (908a705)
  * feat: set new variable `default_port` for tools.json (001b5f0)
  * feat: add Caido tool (e309426)
  * feat: add poetry-core dependency (04bf180)
  * feat: update dependencies (378deab)
  * Merge branch 'feat/add-katana' into 'main' (4eacf7b)
  * chore: Change the domain used in katana's examples (d555df0)
  * feat: Add katana tool (114cbb5)
  * Merge branch 'feat/add-wpscan' into 'main' (0787994)
  * Feat: Add WPScan tool (68363be)
  * feat: add new evil-winrm logo (6dbf2ea)
  * Merge branch 'feat/add-evil-winrm' into 'main' (60d2544)
  * fix: Correct size requirements and change image format to svg (ef19a85)
  * Add image file for Evil-WinRm tool. (4861d4d)
  * feat: Add Evil-winRM tool (e8e4191)
  * Merge branch 'improvement/john-size-requirements' into 'main' (879bfd3)
  * Add more accurate size requirements for John The Ripper (actual disk size as opposed to compressed size) (0437c4c)
  * Merge branch 'bug/update-copyright-year' into 'main' (b2580cf)
  * Update the copyright year from 2024 to 2025 (7a59118)
  * refactor: restructure ToolCard components for modularity (9ccf223)
  * chore: update description about tool_widgets (3bcd105)
  * refactor(app.py): enhance code readability and static method structure (ca994a4)
  * refactor: move docker controller to proper folder (12b7e1e)
  * Merge branch 'main' into 'main' (46147f8)
  * feat: add "John the Ripper" tool (e73f257)
  * build(debian): add top10 category to the desktop entry (7ce32fe)
  * build(ci): remove build deps (a5501b5)
  * chore(Makefile): add more debian folders/files to clean target (a01fa06)
  * chore(Makefile): update clean target to remove "files" inside debian folder (70b59b5)
  * feat: remove Debian temp build files (32fc86c)
  * Merge branch 'unit-tests' into 'main' (911197b)
  * Parametrize tools icons tests (f61feee)
  * Remove debug print (65aee35)
  * Parametrize start button UI tests (66a625c)
  * Parametrize docker status tests (73a914d)
  * Extract assert_right_icon function (5c0aa50)
  * Add tests for app initialization (0d11bee)
  * Add tests for stop container (a834b91)
  * Add tests for start container (30623f8)
  * Add tests for the images check (119bfcd)
  * Fix coverage issue due to PySide6 bindings (b00b805)
  * Test docker behaviour (9521b73)
  * Regenerate poetry.lock after rebasing onto main (da60d4e)
  * Rename subprocess fixture to avoid name hiding (6b49983)
  * Refactor subprocess_* fixtures (8f2fa89)
  * Add unit tests for tools loading (e946fe1)
  * Create test for GUI tools loading (fc428cf)
  * chore: update README.md with PySide6 change (695e1bd)
  * build(debian): remove dependencies from control (7926f3f)
  * chore: update poetry lock file (86610cd)
  * build(ci): remove pyside6-tools dependency (a502a4f)
  * build(ci): add PySide6 to gitlab CI (47b0190)
  * refactor: move from PyQt6 to PySide6 (354f6de)
  * build: remove python -oo flags (f707476)
  * style: update pylint checking paths, add some missing docstring (a417ad0)

 -- Dario Camonita <danterolle@parrotsec.org>  Thu, 22 May 2025 17:38:46 +0200

rocket (1.2.2-1) unstable; urgency=medium

  * perf: increase docker image status update system (5af0318)
  * chore: disable poetry package-mode (9729fcc)
  * docs: add new Rocket screenshot (d1832d7)
  * add new Rocket image (7ffe546)
  * feat: add netexec tool (ec96ab9)
  * fix(theme): prevent string index error in apply_combo_box_style (b674ef7)
  * Merge branch 'refactor-consts-colors' into 'main' (efd4bb2)
  * refactor: implement consts colors to improve code reading (7a36202)
  * refactor: optimize theme handling in apply_combo_box_style function (f8b0026)
  * Merge branch 'fix-htb-theme' into 'main' (6585d37)
  * fix: Color theme HTB in Selection Theme (e619c2d)
  * refactor: move border-radius property to styles.py (cae34a1)
  * chore: fix HTB color palette (a10fa5e)
  * Merge branch 'feature-htb-theme' into 'main' (cb0fcf0)
  * Merge branch 'fix-parrot-theme' into 'main' (cea36e0)
  * chore: update python deps (c9b40fd)
  * complete new theme (aa022f2)
  * feat: add HackTheBox theme (d240c4c)
  * Merge branch 'main' of https://gitlab.com/AlexFalcosAlex/rocket into fix-parrot-theme (e786dfd)
  * chore: add parrot-menu category (fa897d9)
  * refactor: use of name_entity convention (8f0c52d)
  * refactor: improve directory naming for better clarity (48b2f94)
  * build(CI): add python dependency (49c58ed)
  * fix: correct container ID extraction to stop selected Docker container (2474948)
  * chore: rename main theme to `Default` (e47c558)
  * refactor: update resources folder path for image download verification icon (b5a0fc1)
  * refactor: update resources path to tool_item (7a74454)
  * chore(Makefile): add RESOURCES_DIR to lint stage (dfce57c)
  * fix(Makefile): add correct resources folder path (d75111d)
  * refactor: move `assets` and `themes` folder into `resources` for better organization (2778050)
  * refactor: remove useless import (QInputDialog) (4f673b3)
  * fix: Color Parrot Theme (0f728da)
  * refactor: improve flag validation for nmap (40c67e4)
  * feat: add option to stop all containers in the selection dialog (0bb48e0)
  * feat: handle multiple containers for the same image (68d753b)


=== debian/control ===
Source: rocket
Section: utils
Priority: optional
Maintainer: Dario Camonita <danterolle@parrotsec.org>
Build-Depends: debhelper-compat (= 13), dh-python, python3-dev, libxcb-cursor-dev, python3-toml, python3-poetry, python3-requests, python3-pillow
Standards-Version: 4.6.0
Homepage: https://gitlab.com/parrotsec/project/rocket
Rules-Requires-Root: no

Package: rocket
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3, podman | docker.io
Description: Launcher for Container-based security tools
 Rocket is a launcher for Container-based security tools, built using PyQt6.
 This application provides users with an easy interface for selecting and
 running various Parrot Container tools, each of which is configured to run in an isolated environment.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE = 1
export PYBUILD_SYSTEM=distutils
export PYTHON_KEYRING_BACKEND=keyring.backends.null.Keyring

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	python3 convert_pyproject.py
	poetry install
	make build

override_dh_auto_clean:
	make clean

override_dh_auto_configure:

## rocket 1.3.0+parrot7

=== Makefile ===
--- 
+++ 
@@ -50,13 +50,13 @@
 
 build:
 	@echo "Building Rocket..."
-	@poetry run pyinstaller --windowed --onefile -y -n "rocket_$(VERSION)" --add-data "$(RESOURCES_DIR)/tool_config.json:./resources" --add-data "$(RESOURCES_DIR)/assets/*:./resources/assets" --icon=rocket.ico $(MAIN)
+	@poetry run pyinstaller --windowed --onefile -y -n "rocket" --add-data "$(RESOURCES_DIR)/tool_config.json:./resources" --add-data "$(RESOURCES_DIR)/assets/*:./resources/assets" --icon=rocket.ico $(MAIN)
 	@echo "[!] All done"
 
 debian_package:
 	@echo "Building Rocket for Debian..."
 	@python3 convert_pyproject.py
-	@cd .. && tar czf rocket_$(VERSION).orig.tar.gz rocket/ && cd rocket/
+	@cd .. && tar czf rocket.orig.tar.gz rocket/ && cd rocket/
 	# export PYTHON_KEYRING_BACKEND=keyring.backends.null.Keyring
 	@dpkg-buildpackage -us -uc --source-option=--include-binaries
 	@echo "[!] All done"

=== debian/changelog ===
rocket (1.3.0+parrot7) echo; urgency=medium

  * Add HOME env to d/rules
  * Include missing libgssapi_krb5-2
  * Include missing python3-setuptools

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 19 Dec 2025 15:29:27 +0100

rocket (1.3.0+parrot6) echo; urgency=medium

  * Add missing python3-toml build dependency.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Wed, 17 Dec 2025 12:34:27 +0100

rocket (1.3.0+parrot5) echo; urgency=medium

  * Update to Parrot 7 Echo.
  * Disable package-mode.
  * Update Rocket icon path.

 -- Dario Camonita <danterolle@parrotsec.org>  Wed, 17 Dec 2025 12:04:25 +0200

rocket (1.3.0+parrot4) lory; urgency=medium

  * Remove Git tag from build name

 -- Dario Camonita <danterolle@parrotsec.org>  Mon, 30 Jun 2025 23:55:34 +0200

=== debian/control ===
Source: rocket
Section: utils
Priority: optional
Maintainer: Dario Camonita <danterolle@parrotsec.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-dev,
               libxcb-cursor-dev,
               libgssapi-krb5-2,
               python3-poetry,
               python3-requests,
               python3-toml,
               python3-pillow,
               python3-setuptools
Standards-Version: 4.7.0
Homepage: https://gitlab.com/parrotsec/project/rocket
Rules-Requires-Root: no

Package: rocket
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3, podman | docker.io
Description: Launcher for Container-based security tools
 Rocket is a launcher for Container-based security tools, built using PySide6.
 This application provides users with an easy interface for selecting and
 running various Parrot Container tools, each of which is configured to run in an isolated environment.

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 # Uncomment this to turn on verbose mode.
 # export DH_VERBOSE = 1
+export HOME := $(shell pwd)
 export PYBUILD_SYSTEM=distutils
 export PYTHON_KEYRING_BACKEND=keyring.backends.null.Keyring

## rocket 1.4.1+parrot1

=== Makefile ===
--- 
+++ 
@@ -48,9 +48,47 @@
 	@git log $(shell git describe --tags --abbrev=0)..HEAD --pretty=format:"- %s (%h)" >> CHANGELOG.md
 	@echo "[!] Changelog generated"
 
+UPX_PATH := $(shell which upx 2>/dev/null || echo "/opt/homebrew/bin/upx")
+UPX_DIR := $(shell dirname $(UPX_PATH) 2>/dev/null || echo "")
+
 build:
 	@echo "Building Rocket..."
-	@poetry run pyinstaller --windowed --onefile -y -n "rocket" --add-data "$(RESOURCES_DIR)/tool_config.json:./resources" --add-data "$(RESOURCES_DIR)/assets/*:./resources/assets" --icon=rocket.ico $(MAIN)
+	@poetry run pyinstaller --windowed --onefile -y -n "rocket" \
+		--strip \
+		--optimize 2 \
+		--exclude-module PySide6.QtWebEngineCore \
+		--exclude-module PySide6.QtWebEngineWidgets \
+		--exclude-module PySide6.QtQuick \
+		--exclude-module PySide6.QtQuickWidgets \
+		--exclude-module PySide6.QtQml \
+		--exclude-module PySide6.Qt3DCore \
+		--exclude-module PySide6.Qt3DRender \
+		--exclude-module PySide6.QtBluetooth \
+		--exclude-module PySide6.QtCharts \
+		--exclude-module PySide6.QtMultimedia \
+		--exclude-module PySide6.QtPositioning \
+		--exclude-module PySide6.QtSensors \
+		--exclude-module PySide6.QtSql \
+		--exclude-module PySide6.QtXml \
+		--exclude-module PySide6.QtTest \
+		--exclude-module PySide6.QtPdf \
+		--exclude-module PySide6.QtPdfWidgets \
+		--exclude-module PySide6.QtSpatialAudio \
+		--exclude-module PySide6.QtNetwork \
+		--exclude-module PySide6.QtPrintSupport \
+		--exclude-module PySide6.QtOpenGL \
+		--exclude-module PySide6.QtOpenGLWidgets \
+		--exclude-module PySide6.QtDBus \
+		--exclude-module PySide6.QtDesigner \
+		--exclude-module PySide6.QtHelp \
+		--exclude-module PySide6.QtUiTools \
+		--exclude-module tkinter \
+		--exclude-module unittest \
+		--exclude-module pydoc \
+		$(if $(UPX_DIR),--upx-dir=$(UPX_DIR),) \
+		--add-data "$(RESOURCES_DIR)/tool_config.json:./resources" \
+		--add-data "$(RESOURCES_DIR)/assets/*:./resources/assets" \
+		--icon=rocket.ico $(MAIN)
 	@echo "[!] All done"
 
 debian_package:

=== debian/changelog ===
rocket (1.4.1+parrot1) echo; urgency=medium

  * feat(ci): automate GitLab releases using release-cli (8b9eac1)
  * perf: optimize docker controller and UI efficiency (ddcfff7)
  * chore: add tshark in tools widget component (0af98f8)
  * chore: replace "flags" term with switch (4a58790)
  * feat: add tshark in switch section (d10ae6a)
  * feat: add tshark entry and configuration (127aac6)

 -- Dario Camonita <danterolle@parrotsec.org>  Tue, 03 Feb 2026 22:01:52 +0100

rocket (1.4.0+parrot1) echo; urgency=medium

  [ Dario Camonita ]
  * chore: add release version in info_dialog.py

 -- Dario "danterolle" Camonita <danterolle@parrotsec.org>  Mon, 12 Jan 2026 15:22:18 +0000

rocket (1.4.0+parrot0) echo; urgency=medium

  [ Dario Camonita ]
  * feat: use Docker SDK instead of subprocess
  * chore: add .gitignore
  * chore: ignore __pycache__
  * chore: prepare for v1.4.0

 -- Dario "danterolle" Camonita <danterolle@parrotsec.org>  Mon, 12 Jan 2026 15:11:13 +0000

rocket (1.3.0+parrot8) echo; urgency=medium

  [ Dario Camonita ]
  * chore(ci): add python3-toml
  * feat: add global timer and update cache TTL

 -- Dario "danterolle" Camonita <danterolle@parrotsec.org>  Mon, 12 Jan 2026 11:58:50 +0000

## rocket 1.5.0+parrot0

=== Makefile ===
--- 
+++ 
@@ -96,7 +96,7 @@
 	@python3 convert_pyproject.py
 	@cd .. && tar czf rocket.orig.tar.gz rocket/ && cd rocket/
 	# export PYTHON_KEYRING_BACKEND=keyring.backends.null.Keyring
-	@dpkg-buildpackage -us -uc --source-option=--include-binaries
+	@dpkg-buildpackage -us -uc
 	@echo "[!] All done"
 
 debian_changelog:

=== debian/changelog ===
rocket (1.5.0+parrot0) echo; urgency=medium

  * feat: modernize UI and enhance visual aesthetics
  * chore: update poetry.lock
  * chore: add .gitignore

 -- Dario "danterolle" Camonita <danterolle@parrotsec.org>  Wed, 04 Feb 2026 18:28:29 +0100
